#### Previous topic

scipy.spatial.distance.cityblock

#### Next topic

scipy.spatial.distance.cosine

# scipy.spatial.distance.correlation

`scipy.spatial.distance.``correlation`(u, v)

  Computes the correlation distance between two 1-D arrays.

  The correlation distance between u and v, is defined as

  \[1 - \frac{(u - \bar{u}) \cdot (v - \bar{v})} {{||(u - \bar{u})||}_2 {||(v - \bar{v})||}_2}\]

  where \(\bar{u}\) is the mean of the elements of u and \(x \cdot y\) is the dot product of \(x\) and \(y\).

  Parameters:

  u : (N,) array_like

  > Input array.

  v : (N,) array_like

  > Input array.

  Returns:

  correlation : double

  > The correlation distance between 1-D array u and v.